Bug 1310582 - when ProxyErrorOverride is On, modcluster return 503 status code on subsequent requests
when ProxyErrorOverride is On, modcluster return 503 status code on subseque...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd (Show other bugs)
6.4
x86_64 Linux
urgent Severity high
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
Mirek Jahoda
: Patch, ZStream
: 1450298 (view as bug list)
Depends On:
Blocks: 1269194 1359263 1391517
  Show dependency treegraph
 
Reported: 2016-02-22 05:06 EST by Patrick
Modified: 2017-08-16 12:05 EDT (History)
9 users (show)

See Also:
Fixed In Version: httpd-2.2.15-56.el6
Doc Type: Bug Fix
Doc Text:
Previously, when the ProxyErrorOverride directive was enabled, the mod_cluster load balancer returned the 503 status code on subsequent requests for about one second. This caused failover, which then propagated through the instances. Additionaly, this bug could be used for the denial of service (DoS) attack. With this update, the requests in the described scenario are now handled correctly with the 200 status code.
Story Points: ---
Clone Of:
: 1391517 (view as bug list)
Environment:
Last Closed: 2017-03-21 07:50:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (2.80 KB, application/x-gzip)
2016-02-22 05:12 EST, Patrick
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBCS-55 Major Closed ProxyErrorOverride=On causes workers in error state after 500 errors 2017-08-16 12:11 EDT
JBoss Issue Tracker JWS-362 Major Closed ProxyErrorOverride=On causes workers in error state after 500 errors 2017-08-16 12:11 EDT
JBoss Issue Tracker MODCLUSTER-505 Major Closed ProxyErrorOverride=On causes workers in error state after 500 errors 2017-08-16 12:11 EDT
Red Hat Knowledge Base (Solution) 2171621 None None None 2016-03-29 15:25 EDT

  None (edit)
Description Patrick 2016-02-22 05:06:17 EST
Description of problem:

When ProxyErrorOverride is On, modcluster return  503 status code on subsequent requests, for about a second before returning 200 status code

Version-Release number of selected component (if applicable):

mod_cluster : 1.2.6.Final  and 1.2.11.Final 
Version jboss EAP : 6.1.1
Version apache httpd : 2.2.15
Version OS : RHEL 6.4
How reproducible:


Steps to Reproduce:
Customer provided a sample app to reproduce.

1. setup mod_cluster and deploy the sample app
2. run the test script, which curl to the sample app. 
3. Observe access and error log

Actual results:
we see around 10 calls after the error, getting 503 while, they should go through

Expected results:

After the broken call, all subsequent unbroken calls should return 200 status


Additional info:
Comment 1 Patrick 2016-02-22 05:12 EST
Created attachment 1129209 [details]
reproducer
Comment 6 Michal Karm Babacek 2016-11-01 09:16:49 EDT
You might find this helpful:
See https://bugzilla.redhat.com/show_bug.cgi?id=1309598#c3
And https://bugzilla.redhat.com/show_bug.cgi?id=1309598#c5
Comment 16 errata-xmlrpc 2017-03-21 07:50:08 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0784.html
Comment 17 Chris Williams 2017-08-16 12:05:17 EDT
*** Bug 1450298 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.